# Class ConnectionEvent

java.lang.Object
java.util.EventObject
javax.sql.ConnectionEvent

All Implemented Interfaces:
  `Serializable`

public class ConnectionEvent extends EventObject

An `Event` object that provides information about the source of a connection-related event. `ConnectionEvent` objects are generated when an application closes a pooled connection and when an error occurs. The `ConnectionEvent` object contains two kinds of information:

- The pooled connection closed by the application
- In the case of an error event, the `SQLException` about to be thrown to the application

Since:
  1.4
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionEvent(PooledConnection con)`
  Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object.
  `ConnectionEvent(PooledConnection con, SQLException ex)`
  Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SQLException`
  `getSQLException()`
  Retrieves the `SQLException` for this `ConnectionEvent` object.

  ### Methods declared in class EventObject

  `getSource, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.
  `String`
  `toString()`
  Returns a String representation of this EventObject.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ConnectionEvent

    public ConnectionEvent(PooledConnection con)

    Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object. `SQLException` defaults to `null`.

    Parameters:
      `con` - the pooled connection that is the source of the event
    Throws:
      `IllegalArgumentException` - if `con` is null.

  - ### ConnectionEvent

    public ConnectionEvent(PooledConnection con, SQLException ex)

    Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.

    Parameters:
      `con` - the pooled connection that is the source of the event
      `ex` - the SQLException about to be thrown to the application
    Throws:
      `IllegalArgumentException` - if `con` is null.

- ## Method Details

  - ### getSQLException

    public SQLException getSQLException()

    Retrieves the `SQLException` for this `ConnectionEvent` object. May be `null`.

    Returns:
      the SQLException about to be thrown or `null`